%define module_version 0.002
%define module_name XML-LibXML-Devel-SetLineNumber
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel libxml2-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XML/LibXML.pm) perl(XML/LibXML/Devel.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt7
Summary: set the line number for an XML::LibXML::Node
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/XML-LibXML-Devel-SetLineNumber

Source0: http://cpan.org.ua/authors/id/T/TO/TOBYINK/%{module_name}-%{module_version}.tar.gz

%description
This module exports one function:

=over

=item `set_line_number($node, $number)'

Sets a node's line number.

=back

Why in name of all that is good and holy would you want to do that?
Frankly, you probably don't. And you probably shouldn't.

There's just about one sitution where it makes sense. If you are,
say, writing a parser for a non-XML format that happens to have an
XML-like data model, then you might wish to parse your format into
an XML::LibXML document with elements, attributes and so on. And
you might want all those nodes to return the correct line numbers
when the `line_number' method is called on them. Say, for
instance that you're working on the HTML::HTML5::Parser manpage.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README COPYRIGHT
%perl_vendor_archlib/X*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.002-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.002-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.002-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.002-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.002-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.002-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.002-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.002-alt2
- rebuild to get rid of unmets

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

